org.apache.cassandra.utils

## Class AsymmetricOrdering<T1,T2>

- java.lang.Object
- - com.google.common.collect.Ordering<T1>
  - - org.apache.cassandra.utils.AsymmetricOrdering<T1,T2>

All Implemented Interfaces:
  java.util.Comparator<T1>

    public abstract class AsymmetricOrdering<T1,T2>
    extends com.google.common.collect.Ordering<T1>

### Nested Class Summary

Nested Classes
`static class` `AsymmetricOrdering.Op`

### Constructor Summary

Constructors
Constructor and Description
`AsymmetricOrdering()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`int` `binarySearchAsymmetric(java.util.List<? extends T1> searchIn, T2 searchFor, AsymmetricOrdering.Op op)`
`abstract int` `compareAsymmetric(T1 left, T2 right)`
`AsymmetricOrdering<T1,T2>` `reverse()`

### Methods inherited from class com.google.common.collect.Ordering

`allEqual, arbitrary, binarySearch, compare, compound, compound, explicit, explicit, from, from, greatestOf, greatestOf, immutableSortedCopy, isOrdered, isStrictlyOrdered, leastOf, leastOf, lexicographical, max, max, max, max, min, min, min, min, natural, nullsFirst, nullsLast, onResultOf, sortedCopy, usingToString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Comparator

`comparing, comparing, comparingDouble, comparingInt, comparingLong, equals, naturalOrder, nullsFirst, nullsLast, reversed, reverseOrder, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

### Constructor Detail

#### AsymmetricOrdering

    public AsymmetricOrdering()

### Method Detail

#### compareAsymmetric

    public abstract int compareAsymmetric(T1 left,
                                          T2 right)

#### binarySearchAsymmetric

    public int binarySearchAsymmetric(java.util.List<? extends T1> searchIn,
                                      T2 searchFor,
                                      AsymmetricOrdering.Op op)

Parameters:
  `searchIn` - sorted list to look in
  `searchFor` - key to find

#### reverse

    public AsymmetricOrdering<T1,T2> reverse()

Overrides:
  `reverse` in class `com.google.common.collect.Ordering<T1>`